﻿using System;
using Pdftools.Pdf;
using Pdftools.Pdf2Pdf;

namespace cnv
{
    class Program
    {
        static void Main(string[] args)
        {
            Pdf2Pdf converter = new Pdf2Pdf();

            //解析とレポートの設定
            converter.ConvertAlways = true;
            converter.ReportDetails = true;
            converter.ReportSummary = true;
            converter.PostAnalyze = true;
            converter.Compliance = PDFCompliance.ePDFA1a;

            //電子署名
            converter.CertificateName = "Taro Yamada";
            converter.Issuer = "CA51-3";
            converter.SignatureSerialNumber = "10 a3";

            //タイムスタンプ
            converter.TimeStampURL = "http://tsa.trustss.jp/";

            //印影
            converter.SignatureImageFileName = "hanko.png";

            //変換
            if (!converter.Convert("Receipt2.pdf", null, "Receipt2a.pdf", "Receipt2.log"))
            {
                Console.WriteLine("Analysis in PDF/A compliant or output file could not be created.");
                switch (converter.ErrorCode)
                {
                    case PDFErrorCode.PDF_E_FILEOPEN:
                        Console.WriteLine("ファイルを開けない");
                        break;
                    case PDFErrorCode.PDF_E_FILECREATE:
                        Console.WriteLine("ファイルを作成できない");
                        break;
                    case PDFErrorCode.PDF_E_STOPPED:
                        Console.WriteLine("解析が中止された");
                        break;
                    default:
                        Console.WriteLine("変換エラー");
                        break;
                }
            }
            else
            {
                switch (converter.ErrorCode)
                {
                    case PDFErrorCode.PDF_E_CONVERSION:
                        Console.WriteLine("変換処理でエラーが発生した");
                        break;
                    case PDFErrorCode.PDF_E_POSTANALYSIS:
                        Console.WriteLine("変換処理でエラーが発生した");
                        break;
                    case PDFErrorCode.PDF_E_CONFORMANCE:
                        Console.WriteLine("文書が要求された標準に準拠していない");
                        break;
                    default:
                        Console.WriteLine("ポスト解析でエラー");
                        break;
                }
            }
        }
    }
}
